graph-tool and boost 1.48 (mac os)

Hi,

I'm trying to build according to the linked homebrew Formula (but i
also tried downloading the source and building straight ahead).

I have llvm gcc 4.2 (mac os x standard) and boost 1.48.

I get the following error pretty straight ahead at compile time (for
graph_betweenness):

/usr/local/include/boost/property_map/property_map.hpp:361: error: no
match for 'operator[]' in '(const
boost::unchecked_vector_property_map<double,
boost::adj_list_edge_property_map<boost::bidirectional_tag, long
unsigned int, long unsigned int&, long unsigned int,
boost::property<boost::edge_index_t, long unsigned int,
boost::no_property>, boost::edge_index_t> >&)((const
boost::unchecked_vector_property_map<double,
boost::adj_list_edge_property_map<boost::bidirectional_tag, long
unsigned int, long unsigned int&, long unsigned int,
boost::property<boost::edge_index_t, long unsigned int,
boost::no_property>, boost::edge_index_t> >*)(& pa))[k]'
./../fast_vector_property_map.hh:170: note: candidates are: typename
std::iterator_traits<typename std::vector<T, std::allocator<_CharT>

::iterator>::reference boost::unchecked_vector_property_map<T,
::operator[](const typename

boost::property_traits<IndexMap>::key_type&) const [with T = double,
IndexMap = boost::adj_list_edge_property_map<boost::bidirectional_tag,
long unsigned int, long unsigned int&, long unsigned int,
boost::property<boost::edge_index_t, long unsigned int,
boost::no_property>, boost::edge_index_t>]

preceded by a looong series of "instantiated from" etc.

What am I doing wrong?

Thanks

Hi,

I'm trying to build according to the linked homebrew Formula (but i
also tried downloading the source and building straight ahead).

I have llvm gcc 4.2 (mac os x standard) and boost 1.48.

I get the following error pretty straight ahead at compile time (for
graph_betweenness):

[...]

preceded by a looong series of "instantiated from" etc.

What am I doing wrong?

You're doing nothing wrong. Boost 1.48 introduced an
incompatibility. I'm waiting for this version to hit gentoo, so I can
fix this. In the meantime, I suggest you install boost 1.47 instead.

Cheers,
Tiago

Hi,

thanks for your answer. I'll get that.